Page MenuHomePhabricator

Unify RelEng related IRC channels to #wikimedia-releng
Closed, ResolvedPublic

Description

We have:

  • -qa (where much is now)
  • -releng (new, not used, planned new home)
  • -devtools (created for the phab migration)

Redirecting the IRC channels is easy; making sure we find all of the bot configs is the tedious part.

Configs to change (please adds ones I forgot):

Most changes use the Gerrit Change-Id: I60bfb8098b6c5e6dbbb6480f73d190a91090e464.

Plan:

  1. migrate the bots
    1. the above patches
  2. setup channel redirects
    1. https://wiki.ubuntu.com/IRC/MovingChannels

Event Timeline

greg created this task.Jan 7 2015, 7:28 PM
greg raised the priority of this task from to Low.
greg updated the task description. (Show Details)
greg added a project: Release-Engineering-Team.
greg added subscribers: greg, hashar, zeljkofilipin and 2 others.
Krinkle added a subscriber: Krinkle.Jan 7 2015, 7:46 PM

releng is silent enough so far but I am slightly concerned how noisy this will get with Quality-Assurance's grrrit-wm, shinken-wm, wmf-insecte and wikibugs and how much their output (expect for wikibugs) really interests me. And how many people look at their output. But I'll lurk in qa for a few days to get a better impression.

greg added a comment.Jan 7 2015, 8:48 PM

The output in -qa is manageable, I don't know if we want to announce all of what is announced in -devtools in -releng though (ie: probably not #_phabricator.org, just #_phabricator).

Change 183320 had a related patch set uploaded (by Hashar):
Duplicate -qa notifcations to -releng

https://gerrit.wikimedia.org/r/183320

Patch-For-Review

Change 183322 had a related patch set uploaded (by Hashar):
Send Jenkins IRC notifs to -releng

https://gerrit.wikimedia.org/r/183322

Patch-For-Review

Change 183371 had a related patch set uploaded (by Hashar):
Duplicate -qa notifcations to -releng

https://gerrit.wikimedia.org/r/183371

Patch-For-Review

hashar claimed this task.Jan 7 2015, 9:46 PM
hashar updated the task description. (Show Details)
hashar set Security to None.

Taking it, I have created a list of tasks to be done in this Task description and mentioned the Gerrit patches next to each item.

hashar updated the task description. (Show Details)Jan 7 2015, 9:57 PM

Change 183322 merged by jenkins-bot:
Send Jenkins IRC notifs to -releng

https://gerrit.wikimedia.org/r/183322

Change 183382 had a related patch set uploaded (by Hashar):
Duplicate -qa notifcations to -releng

https://gerrit.wikimedia.org/r/183382

Patch-For-Review

hashar updated the task description. (Show Details)Jan 7 2015, 10:08 PM
hashar updated the task description. (Show Details)Jan 7 2015, 10:11 PM

Change 183382 merged by Dzahn:
Duplicate -qa notifcations to -releng

https://gerrit.wikimedia.org/r/183382

Change 183371 merged by jenkins-bot:
Duplicate -qa notifcations to -releng

https://gerrit.wikimedia.org/r/183371

Legoktm added a subscriber: Legoktm.
greg updated the task description. (Show Details)Jan 10 2015, 10:31 PM

Change 184197 had a related patch set uploaded (by Greg Grossmeier):
Move -qa announces to -releng

https://gerrit.wikimedia.org/r/184197

Patch-For-Review

Change 184199 had a related patch set uploaded (by Greg Grossmeier):
Move notices to -releng from -qa

https://gerrit.wikimedia.org/r/184199

Patch-For-Review

Change 184200 had a related patch set uploaded (by Greg Grossmeier):
Remove -qa channel announces

https://gerrit.wikimedia.org/r/184200

Patch-For-Review

greg updated the task description. (Show Details)Jan 10 2015, 11:05 PM
greg updated the task description. (Show Details)
greg updated the task description. (Show Details)Jan 11 2015, 6:01 PM

Change 183320 abandoned by Merlijn van Deen:
Duplicate -qa notifcations to -releng

Reason:
superseded by https://gerrit.wikimedia.org/r/#/c/184197/

https://gerrit.wikimedia.org/r/183320

Change 184197 merged by jenkins-bot:
Move -qa announces to -releng

https://gerrit.wikimedia.org/r/184197

valhallasw updated the task description. (Show Details)Jan 11 2015, 7:39 PM

Change 184200 merged by jenkins-bot:
Remove -qa channel announces

https://gerrit.wikimedia.org/r/184200

hashar updated the task description. (Show Details)Jan 12 2015, 11:42 AM

We also need to migrate qa-morebots which reacts to !log commands.

greg updated the task description. (Show Details)Jan 12 2015, 4:26 PM

Change 184199 merged by Dzahn:
Move notices to -releng from -qa

https://gerrit.wikimedia.org/r/184199

greg added a subscriber: jeremyb.Jan 12 2015, 6:04 PM

We also need to migrate qa-morebots which reacts to !log commands.

@jeremyb: can you help with that part (moving morebots from -qa to -releng)? If I'm reading things correctly (and believing Kunal), the config for morebots isn't in vcs (so I can't just give you a patch)?

greg updated the task description. (Show Details)Jan 12 2015, 9:11 PM
hashar updated the task description. (Show Details)Jan 12 2015, 9:18 PM
hashar updated the task description. (Show Details)
hashar added a subscriber: valhallasw.

qa-morebots got moved thanks to @valhallasw

Gotta switch wm-bot now :-D

hashar updated the task description. (Show Details)Jan 12 2015, 9:33 PM

I have killed wm-bot in -qa and legoktm have it join the -releng channels. We are missing some authorization, but that is not a blocker.

Change 184470 had a related patch set uploaded (by Hashar):
Change IRC chan #wikimedia-qa -> #wikimedia-releng

https://gerrit.wikimedia.org/r/184470

Patch-For-Review

Change 184470 merged by jenkins-bot:
Change IRC chan #wikimedia-qa -> #wikimedia-releng

https://gerrit.wikimedia.org/r/184470

Nothing left to do apparently. Thank you to everyone involved, I am letting greg-g to confirm and close :]

greg closed this task as Resolved.Jan 12 2015, 10:18 PM

{{DONE}}!

Thanks for all the help from those who merged all the patches/etc.